import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserArgsObjectSchema as UserArgsObjectSchema } from './UserArgs.schema';
import { AppointmentFindManySchema as AppointmentFindManySchema } from '../findManyAppointment.schema';
import { AppointmentProcedureFindManySchema as AppointmentProcedureFindManySchema } from '../findManyAppointmentProcedure.schema';
import { ClaimFindManySchema as ClaimFindManySchema } from '../findManyClaim.schema';
import { PdfGroupFindManySchema as PdfGroupFindManySchema } from '../findManyPdfGroup.schema';
import { PaymentFindManySchema as PaymentFindManySchema } from '../findManyPayment.schema';
import { CommunicationFindManySchema as CommunicationFindManySchema } from '../findManyCommunication.schema';
import { PatientDocumentFindManySchema as PatientDocumentFindManySchema } from '../findManyPatientDocument.schema';
import { PatientConversationArgsObjectSchema as PatientConversationArgsObjectSchema } from './PatientConversationArgs.schema';
import { CloudFolderFindManySchema as CloudFolderFindManySchema } from '../findManyCloudFolder.schema';
import { PatientCountOutputTypeArgsObjectSchema as PatientCountOutputTypeArgsObjectSchema } from './PatientCountOutputTypeArgs.schema'

const makeSchema = () => z.object({
  user: z.union([z.boolean(), z.lazy(() => UserArgsObjectSchema)]).optional(),
  appointments: z.union([z.boolean(), z.lazy(() => AppointmentFindManySchema)]).optional(),
  procedures: z.union([z.boolean(), z.lazy(() => AppointmentProcedureFindManySchema)]).optional(),
  claims: z.union([z.boolean(), z.lazy(() => ClaimFindManySchema)]).optional(),
  groups: z.union([z.boolean(), z.lazy(() => PdfGroupFindManySchema)]).optional(),
  payment: z.union([z.boolean(), z.lazy(() => PaymentFindManySchema)]).optional(),
  communications: z.union([z.boolean(), z.lazy(() => CommunicationFindManySchema)]).optional(),
  documents: z.union([z.boolean(), z.lazy(() => PatientDocumentFindManySchema)]).optional(),
  conversation: z.union([z.boolean(), z.lazy(() => PatientConversationArgsObjectSchema)]).optional(),
  cloudFolders: z.union([z.boolean(), z.lazy(() => CloudFolderFindManySchema)]).optional(),
  _count: z.union([z.boolean(), z.lazy(() => PatientCountOutputTypeArgsObjectSchema)]).optional()
}).strict();
export const PatientIncludeObjectSchema: z.ZodType<Prisma.PatientInclude> = makeSchema() as unknown as z.ZodType<Prisma.PatientInclude>;
export const PatientIncludeObjectZodSchema = makeSchema();
